AquaMapsPortletLocalService (GWT Maven Archetype 3.1.0-3.0.0 API)
Date: 2014-02-28

org.gcube.application.aquamaps.aquamapsportlet.client.rpc

## Interface AquaMapsPortletLocalService

- All Superinterfaces:
    com.google.gwt.user.client.rpc.RemoteService
  All Known Implementing Classes:
    AquaMapsPortletLocalImpl

      @RemoteServiceRelativePath(value="AquaMapsPortletLocalService")
      public interface AquaMapsPortletLocalService
      extends com.google.gwt.user.client.rpc.RemoteService

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Msg` | `addAllFilteredSpecies(int totalCount, String sortColumn, String sortDir)`
    `Msg` | `addToObjectBasket(List<String> ids, String objTitle)`
    `Msg` | `addToSpeciesSelection(List<String> toAdd)`
    `Msg` | `changeGisById(List<String> ids)`
    `Msg` | `changeGisByType(String type)`
    `Msg` | `clearEnvelopeCustomization(String id)`
    `Msg` | `clearSpeciesFilter()`
    `Msg` | `createObjectsBySelection(ClientObjectType type, List<String> ids, String title)`
    `Msg` | `filterSubmitted(String parameter, String value)`
    `Integer` | `getImportProgress()`
    `SettingsDescriptor` | `getStats()`
    `Msg` | `removeObject(String title, ClientObjectType type)`
    `Msg` | `removeSelectionFromBasket(String title, List<String> speciesIds)`
    `Msg` | `setEnvelopeCustomization(String ids, Map<SpeciesFields,Float> perturbations)`
    `Msg` | `setSource(int id, ClientResourceType type)`
    `Msg` | `setSpeciesFilter(List<ClientFilter> Filter, String filterSummary)`
    `Msg` | `updateObject(String oldTitle, String title, ClientObjectType type, String bBox, Float threshold, Boolean gis)`

- - ### Method Detail

    - #### setSpeciesFilter

          Msg setSpeciesFilter(List<ClientFilter> Filter,
                             String filterSummary)
                               throws Exception

      Throws:
        `Exception`

    - #### clearSpeciesFilter

          Msg clearSpeciesFilter()
                                 throws Exception

      Throws:
        `Exception`

    - #### setSource

          Msg setSource(int id,
                      ClientResourceType type)
                        throws Exception

      Throws:
        `Exception`

    - #### addToSpeciesSelection

          Msg addToSpeciesSelection(List<String> toAdd)
                                    throws Exception

      Throws:
        `Exception`

    - #### addAllFilteredSpecies

          Msg addAllFilteredSpecies(int totalCount,
                                  String sortColumn,
                                  String sortDir)
                                    throws Exception

      Throws:
        `Exception`

    - #### removeSelectionFromBasket

          Msg removeSelectionFromBasket(String title,
                                      List<String> speciesIds)
                                        throws Exception

      Parameters:
        `title` - if null clears session basket
      Returns:
      Throws:
        `Exception`

    - #### addToObjectBasket

          Msg addToObjectBasket(List<String> ids,
                              String objTitle)
                                throws Exception

      Throws:
        `Exception`

    - #### setEnvelopeCustomization

          Msg setEnvelopeCustomization(String ids,
                                     Map<SpeciesFields,Float> perturbations)
                                       throws Exception

      Throws:
        `Exception`

    - #### clearEnvelopeCustomization

          Msg clearEnvelopeCustomization(String id)
                                         throws Exception

      Throws:
        `Exception`

    - #### getStats

          SettingsDescriptor getStats()
                                      throws Exception

      Throws:
        `Exception`

    - #### createObjectsBySelection

          Msg createObjectsBySelection(ClientObjectType type,
                                     List<String> ids,
                                     String title)
                                       throws Exception

      Throws:
        `Exception`

    - #### removeObject

          Msg removeObject(String title,
                         ClientObjectType type)
                           throws Exception

      Throws:
        `Exception`

    - #### updateObject

          Msg updateObject(String oldTitle,
                         String title,
                         ClientObjectType type,
                         String bBox,
                         Float threshold,
                         Boolean gis)
                           throws Exception

      Throws:
        `Exception`

    - #### changeGisByType

          Msg changeGisByType(String type)
                              throws Exception

      Throws:
        `Exception`

    - #### changeGisById

          Msg changeGisById(List<String> ids)
                            throws Exception

      Throws:
        `Exception`

    - #### filterSubmitted

          Msg filterSubmitted(String parameter,
                            String value)
                              throws Exception

      Throws:
        `Exception`

    - #### getImportProgress

          Integer getImportProgress()
                                    throws Exception

      Throws:
        `Exception`

Copyright © 2014. All Rights Reserved.